package de.valentin.colorconsistency.image;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Color;
import androidx.palette.graphics.Palette;

import java.io.File;
import java.util.Random;

public class RandomImage extends  SelectedImage {


    public RandomImage(File folder) {
        this.folder=folder;
        pickRandomFile();
    }

    public  void pickRandomFile(){
        try {
            File[] files = folder.listFiles();
            Random rand = new Random();

            selected = files[rand.nextInt(files.length)];
            path = selected.getAbsolutePath();

            bitmap = BitmapFactory.decodeFile(path);
            createPalette();
        }
        catch (Exception e ){
            path="error";
        }

    }


}
