package de.valentin.colorconsistency.image;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;

import android.util.Log;
import com.jayway.jsonpath.JsonPath;

public class RedditImage extends SelectedImage {
    private String[] subreddits={"Art"};
    String imageURL;


    public RedditImage() {
        getImageURLfromReddit();
    }

    void getImageURLfromReddit(){


        try{

            URL url = new URL("https://www.reddit.com/r/"+subreddits[0]+".json");


            BufferedReader reader = new BufferedReader(new InputStreamReader(url.openStream()));
            StringBuilder stringBuilder=new StringBuilder();
            String line;
            while (reader.ready()){
                line = reader.readLine();
                Log.v("OUTPUT","d"+line);
                stringBuilder.append(line);
            }

            Log.v("OUTPUT","d"+stringBuilder.toString());
            Log.v("OUTPUT","hallo");



            imageURL= JsonPath.read(stringBuilder, ".data.children[1].data.url");

            Log.v("IMAGEURL",imageURL);




        } catch(Exception e){
            // In your production code handle any errors and catch the individual exceptions
            e.printStackTrace();
        }



    }

    public String getImageURL() {
        return imageURL;
    }
}
