package de.valentin.colorconsistency.ToGravityBox;

import android.content.Intent;
import android.graphics.Color;
import android.util.Log;
import de.valentin.colorconsistency.image.SelectedColors;


public class GravitBoxConnector {

    Intent intent;

    final String ACTION_PREF_PIE_CHANGED = "gravitybox.intent.action.PREF_PIE_CHANGED";
    final String EXTRA_PIE_COLOR_BG = "pieColorBg";
    final String EXTRA_PIE_COLOR_FG = "pieColorFg";
    final String EXTRA_PIE_COLOR_OUTLINE = "pieColorOutline";
    final String EXTRA_PIE_COLOR_SELECTED = "pieColorSelected";
    final String EXTRA_PIE_COLOR_TEXT = "pieColorText";



    public GravitBoxConnector(SelectedColors colors){
        intent = new Intent(ACTION_PREF_PIE_CHANGED);
        intent.putExtra(EXTRA_PIE_COLOR_BG, colors.getBackground() );
        intent.putExtra(EXTRA_PIE_COLOR_FG,colors.getForeground());
        intent.putExtra(EXTRA_PIE_COLOR_TEXT,colors.getBackground());
        intent.putExtra(EXTRA_PIE_COLOR_SELECTED, colors.getForeground() );
        intent.putExtra(EXTRA_PIE_COLOR_OUTLINE, colors.getForeground() );

    }

    public Intent getIntent() {
        return intent;
    }
}
